编译安装个软件真麻烦!!

为当前最终发行版之前的所有版本提供支持
回复
头像
xumin
帖子: 24
注册时间: 2009-06-11 8:35
送出感谢: 0
接收感谢: 0

编译安装个软件真麻烦!!

#1

帖子 xumin » 2011-01-11 11:07

破软件本身不大,源码很小,
但是需要各式各样的库,而且都很大,
* Vala
* Glib2
* libsoup
* libxml
* gtk2
* gtksourceview
* gtkspell
* webkitgtk
* gee-1.0
webkit2.0的库要138MB,安装好要消耗345MB空间。
天哪,快要崩溃了!
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 编译安装个软件真麻烦!!

#2

帖子 leeaman » 2011-01-11 11:08

啥软件?我的用了第三方的源...开发包安装不了呢
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
thorne
帖子: 660
注册时间: 2008-10-08 22:01
送出感谢: 0
接收感谢: 2 次

Re: 编译安装个软件真麻烦!!

#3

帖子 thorne » 2011-01-11 11:35

在这样的情况下我们知道apt是多么的让人幸福

代码: 全选

其实我是个Debian GNU/Linux用户
Octave script :http://forum.ubuntu.org.cn/viewtopic.php?f=35&t=254511
Octave中文:http://forum.ubuntu.org.cn/viewtopic.php?f=35&t=318969
头像
xumin
帖子: 24
注册时间: 2009-06-11 8:35
送出感谢: 0
接收感谢: 0

Re: 编译安装个软件真麻烦!!

#4

帖子 xumin » 2011-01-11 11:41

刚刚又错了,发现那个下载的那个138MB的不是需要的库,晕倒。

我是装一个库,./configure一下,
然后再apt-cache search, 然后凭感觉看着名字长得有点像,就sudo apt-get install 安装一个库,
装好了,再重新./configure,人都裂了
头像
peter_huang
帖子: 391
注册时间: 2006-11-07 14:32
送出感谢: 0
接收感谢: 1 次

Re: 编译安装个软件真麻烦!!

#5

帖子 peter_huang » 2011-01-11 12:37

能用apt辅助安装必要的软件包已经很幸福了。
想想LFS的人吧,啥管理都没有,一个个自己编译。
头像
astolia
论坛版主
帖子: 3019
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 495 次

Re: 编译安装个软件真麻烦!!

#6

帖子 astolia » 2011-01-11 13:10

估计下载成dbg包了 :em04
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 编译安装个软件真麻烦!!

#7

帖子 Sunmover » 2011-01-12 10:55

先做成deb包再安装,好像有几个做deb包的软件做起来相对简单。
最近是没有空了,如果有好心人发个教程就好了,否则我就得自己探索了。。。。
头像
寒声碎
帖子: 1723
注册时间: 2009-07-31 16:50
送出感谢: 3 次
接收感谢: 4 次
联系:

Re: 编译安装个软件真麻烦!!

#8

帖子 寒声碎 » 2011-01-12 12:43

同感,昨天编译pidgin的openfetion插件,那叫一个费劲~~总算是成功了,各种各样的依赖和错误~~
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 编译安装个软件真麻烦!!

#9

帖子 lainme » 2011-01-12 13:52

源里有的

apt-get build-dep 一下全装好

不想在自己机子上编译的去找PPA,或者自己建自己的PPA去
回复

回到 “老旧版本支持”